Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.jena.creator
Class OwlProjectFromUriCreator

    java.lang.Object
      edu.stanford.smi.protegex.owl.model.factory.AbstractOwlProjectCreator
          edu.stanford.smi.protegex.owl.jena.creator.OwlProjectFromUriCreator

    public class OwlProjectFromUriCreator

extends AbstractOwlProjectCreator

Field Summary

Fields inherited from class edu.stanford.smi.protegex.owl.model.factory.AbstractOwlProjectCreator
`factory`

Constructor Summary
`OwlProjectFromUriCreator()`
`OwlProjectFromUriCreator(JenaKnowledgeBaseFactory factory)`

Method Summary
`void` | `addRepository(Repository repository)`
`void` | `clearRepositories()`
`void` | `create(Collection errors)`
`protected URI` | `getBuildProjectURI()`
`JenaKnowledgeBaseFactory` | `getFactory()`
`JenaOWLModel` | `getOwlModel()`
`edu.stanford.smi.protege.model.Project` | `getProject()`
`Collection<Repository>` | `getRepositories()`
`protected void` | `initializeSources(edu.stanford.smi.protege.util.PropertyList sources)`
`boolean` | `isMergeImportMode()`
`void` | `setLang(String lang)`
`void` | `setMergeImportMode(boolean isMergeImportMode)`
`void` | `setOntologyUri(String fileURI)`

Methods inherited from class edu.stanford.smi.protegex.owl.model.factory.AbstractOwlProjectCreator
`addViewSettings, insertRepositoriesIntoOwlModel, setDefaultClassView, setProfileURI`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OwlProjectFromUriCreator

    public OwlProjectFromUriCreator()

### OwlProjectFromUriCreator

    public OwlProjectFromUriCreator(JenaKnowledgeBaseFactory factory)

Method Detail

### create

    public void create(Collection errors)
                throws edu.stanford.smi.protege.exception.OntologyLoadException

  Specified by:
    `create` in class `AbstractOwlProjectCreator`
  Throws:
    `edu.stanford.smi.protege.exception.OntologyLoadException`

### getOwlModel

    public JenaOWLModel getOwlModel()

  Specified by:
    `getOwlModel` in class `AbstractOwlProjectCreator`

### getProject

    public edu.stanford.smi.protege.model.Project getProject()

  Specified by:
    `getProject` in class `AbstractOwlProjectCreator`

### initializeSources

    protected void initializeSources(edu.stanford.smi.protege.util.PropertyList sources)

### getBuildProjectURI

    protected URI getBuildProjectURI()

### setOntologyUri

    public void setOntologyUri(String fileURI)

### setLang

    public void setLang(String lang)

### getFactory

    public JenaKnowledgeBaseFactory getFactory()

  Overrides:
    `getFactory` in class `AbstractOwlProjectCreator`

### addRepository

    public void addRepository(Repository repository)

### clearRepositories

    public void clearRepositories()

### getRepositories

    public Collection<Repository> getRepositories()

  Overrides:
    `getRepositories` in class `AbstractOwlProjectCreator`

### isMergeImportMode

    public boolean isMergeImportMode()

### setMergeImportMode

    public void setMergeImportMode(boolean isMergeImportMode)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.